mod dispatcher;
pub use dispatcher::UnifiedDispatcher;

// Systems
pub mod ai;
mod hunger_system;
mod inventory_system;
mod lighting_system;
mod map_indexing_system;
mod melee_combat_system;
mod movement_system;
pub mod particle_system;
mod ranged_combat_system;
mod trigger_system;
mod visibility_system;

// System imports
pub use ai::*;
pub use hunger_system::HungerSystem;
pub use inventory_system::*;
pub use lighting_system::LightingSystem;
pub use map_indexing_system::MapIndexingSystem;
pub use melee_combat_system::MeleeCombatSystem;
pub use movement_system::MovementSystem;
pub use particle_system::ParticleSpawnSystem;
pub use ranged_combat_system::RangedCombatSystem;
pub use trigger_system::TriggerSystem;
pub use visibility_system::VisibilitySystem;

pub fn build() -> Box<dyn UnifiedDispatcher + 'static> {
    dispatcher::new()
}
